r2136 - in trunk

dslinux_sonny_jim at dslinux.in-berlin.de dslinux_sonny_jim at dslinux.in-berlin.de
Fri Feb 22 20:51:22 CET 2008


Author: sonny_jim
Date: 2008-02-22 20:51:22 +0100 (Fri, 22 Feb 2008)
New Revision: 2136

Log:
Add man pages, edit romfsinst.sh to pass man pages through nroff.  Add wrapper for man in user/less

Modified: trunk/config/Configure.help
===================================================================
--- trunk/config/Configure.help	2008-02-22 19:16:07 UTC (rev 2135)
+++ trunk/config/Configure.help	2008-02-22 19:51:22 UTC (rev 2136)
@@ -1622,6 +1622,9 @@
   CE certification.  If you don't know you need this app it is *very* unlikely
   that you will want it.
 
+CONFIG_USER_MANPAGES
+  Install man pages
+
 CONFIG_USER_MATH_TEST
   A number of programs used to test the proper functioning of the maths
   library.

Modified: trunk/config/config.in
===================================================================
--- trunk/config/config.in	2008-02-22 19:16:07 UTC (rev 2135)
+++ trunk/config/config.in	2008-02-22 19:51:22 UTC (rev 2136)
@@ -824,6 +824,7 @@
 bool 'lpr'				CONFIG_USER_LPR
 bool 'mcf5272 cbi client'       CONFIG_USER_USBCBI_USBCBI
 bool 'mcf5272 iso client'       CONFIG_USER_USBISO_USBISO
+bool 'man pages'       		CONFIG_USER_MANPAGES
 bool 'mathstests'		CONFIG_USER_MATH_TEST
 bool 'mathomatic'		CONFIG_USER_MATHOMATIC
 bool 'mawk'			CONFIG_USER_MAWK_AWK

Modified: trunk/tools/romfs-inst.sh
===================================================================
--- trunk/tools/romfs-inst.sh	2008-02-22 19:16:07 UTC (rev 2135)
+++ trunk/tools/romfs-inst.sh	2008-02-22 19:51:22 UTC (rev 2136)
@@ -9,6 +9,7 @@
 
 # Provide a default PATH setting to avoid potential problems...
 PATH="/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:$PATH"
+NROFF="/usr/bin/nroff"
 
 usage()
 {
@@ -24,7 +25,7 @@
 	-A pattern  : only append text if pattern doesn't exist in file
     -l link     : dst is a link to 'link'.
     -s sym-link : dst is a sym-link to 'sym-link'.
-
+    -m manpage  : Run page through $NROFF before copying
     if "src" is not provided,  basename is run on dst to determine the
     source in the current directory.
 
@@ -122,7 +123,15 @@
 	ln -sf ${src} ${ROMFSDIR}${dst}
 	return $?
 }
-
+man_page()
+{
+	#Man page installation
+	if [ ${CONFIG_USER_MANPAGES} = "y" ]
+	then
+		$NROFF -man ${src} |fmt -w 64 > ${ROMFSDIR}${dst}
+	fi
+	return $?
+}
 #############################################################################
 #
 # main program entry point
@@ -145,7 +154,7 @@
 dst=
 strip=1
 
-while getopts 'dSve:o:A:p:a:l:s:' opt "$@"
+while getopts 'dSve:o:A:p:a:l:s:m' opt "$@"
 do
 	case "$opt" in
 	v) v="1";                           ;;
@@ -158,6 +167,7 @@
 	A) pattern="$OPTARG";               ;;
 	l) src="$OPTARG"; func=hard_link;   ;;
 	s) src="$OPTARG"; func=sym_link;    ;;
+	m) func=man_page;   ;;
 
 	*)  break ;;
 	esac

Modified: trunk/vendors/Nintendo/DLDI/Makefile
===================================================================
--- trunk/vendors/Nintendo/DLDI/Makefile	2008-02-22 19:16:07 UTC (rev 2135)
+++ trunk/vendors/Nintendo/DLDI/Makefile	2008-02-22 19:51:22 UTC (rev 2136)
@@ -11,7 +11,7 @@
 
 ROMFS_DIRS := boot dev proc sbin $(FATFS)/linux $(OPTDIR) tmp 
 
-FS_DIRS := etc/rc.d home lib usr/bin usr/bin/coreutils usr/games usr/lib usr/share/udhcpc var/lock var/tmp var/run var/log var/mail var/www
+FS_DIRS := etc/rc.d home lib usr/bin usr/bin/coreutils usr/games usr/lib usr/share/udhcpc var/lock var/tmp var/run var/log var/mail var/www usr/share/man
 
 TTYP_DEVICES = 0 1 2 3 4 5 6 7 8 9 a b c d e f
 



More information about the dslinux-commit mailing list